> For the complete documentation index, see [llms.txt](https://emotive.gitbook.io/emotive-lists/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://emotive.gitbook.io/emotive-lists/reference/api-reference/profile-properties.md).

# Profile Properties

## Requirements

To use the `properties` endpoint, requests must be made against a base URL of `https://api-gw.emotiveapp.co/` Requests are authenticated using an `Authorization` header with value: `Token <YOUR_API_KEY>` .

{% hint style="info" %}
You must send at least a <mark style="color:red;">**`phone_number`**</mark> or<mark style="color:red;">**`email`**</mark> as required fields for creating/updating a subscriber profile
{% endhint %}

## POST /v1/profiles/properties

> Create a profile property.

```json
{"openapi":"3.0.2","info":{"title":"Sensus Webhooks","version":"0.1.0"},"servers":[{"url":"/sensus-webhook"}],"paths":{"/v1/profiles/properties":{"post":{"description":"Create a profile property.","operationId":"controllers.webhooks.profile_handler","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfileProperty"}}},"required":true},"responses":{"202":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JsonResponse"}}},"description":"Webhook Accepted."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JsonResponse"}}},"description":"Bad Request"}},"tags":["Profile Properties"]}}},"components":{"schemas":{"ProfileProperty":{"properties":{"email":{"type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"},"phone_number":{"type":"string"},"platform":{"enum":["alloy","paragon","custom","zapier"],"type":"string"},"properties":{"$ref":"#/components/schemas/PropertyList"},"source":{"type":"string"}},"required":["source","platform","properties"],"type":"object"},"PropertyList":{"items":{"$ref":"#/components/schemas/Property"},"type":"array"},"Property":{"properties":{"key":{"type":"string"},"type":{"enum":["string","number","boolean","datetime"],"type":"string"},"value":{"anyOf":[{"type":"string"},{"type":"number"},{"type":"integer"},{"type":"boolean"}]}},"required":["key","value"],"type":"object"},"JsonResponse":{"properties":{"message":{"type":"string"}},"type":"object"}}}}
```
